ATA_INTERRUPT(9)

NAME
ata_interrupt - Default ATA host interrupt handler

SYNOPSIS

irqreturn_t ata_interrupt (int irq, void * dev_instance, struct pt_regs * regs);

ARGUMENTS

irq irq line (unused)

dev_instance
    pointer to our ata_host_set information structure

regs
    unused

DESCRIPTION

Default interrupt handler for PCI IDE devices. Calls ata_host_intr for each port that is not disabled.

LOCKING

Obtains host_set lock during operation.

RETURNS

IRQ_NONE or IRQ_HANDLED.

AUTHOR
Jeff Garzik.